Summary: SME Server specific whups configuration and templates.
%define name smeserver-whups
Name: %{name}
%define version 1.0
%define release 1
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: Networking/Daemons
Source: %{name}-%{version}.tar.gz
#Patch1: 
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArchitectures: noarch
Requires: e-smith-base >= 4.15.1
Requires: e-smith-apache >= 1.1.0-18
Requires: e-smith-lib >= 1.15.1-16
Requires: horde >= 5
Requires: whups-h5 >= 1
Requires: php-pear-MDB2 >= 2.5
Requires: php-pear-MDB2-Driver-mysql >= 1.5
BuildRequires: e-smith-devtools >= 1.13.1-03
AutoReqProv: no

%changelog
* Tue Mar 11 2014 John H. Bennett III <bennettj@johnbennettservices.com> 1.0-1
- Initial build

%description
This package adds necessary templates and configuration items
so that whups will work properly on SME Server 7.x

%prep
%setup

#%patch1 -p1

%build
 
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist
echo "%doc COPYING"          >> %{name}-%{version}-filelist

%clean 
rm -rf $RPM_BUILD_ROOT

%pre

%preun

%post

%postun

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
